[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMainMenu.Merge

Merges menu items from the specified main menu instance.

## Declaration

Source position: menus.pp line 451

`public procedure TMainMenu.Merge(`
`Menu: TMainMenu`
`);`

## Arguments

`Menu` |  | Main menu merged into the current class instance.

## Description

Merge is a method used to merge the menu items from the specified Menu into the Items for the current class instance. When Menu contains a non-Nil value, the MergeWith method in Items is called using the Items in the current class instance as the target. When Menu has not been assigned, the MergeWith method in Items is called using Nil as the target.

Use Unmerge to remove merge menu items from a specified menu instance.

## See also

TMainMenu.Unmerge |  | Removes merged menu items for the specified menu.
TMenu.Items |  | Contains the menu items displayed on the menu.
TMenuItem.MergedItems |  | Returns the visible and invisible child items taking the merged menu into account.
TMenuItem.Merged |  | Menu item where the class instance and its children have been merged.